/**
 * Contentful Delivery API Client. Contains methods which allow access to the
 * different kinds of entities present in Contentful (Entries, Assets, etc).
 */
import type { AxiosInstance } from 'contentful-sdk-core';
import type { GetGlobalOptions } from './create-global-options.js';
import type { ContentfulClientApi } from './types/index.js';
import type { ChainOptions } from './utils/client-helpers.js';
export interface CreateContentfulApiParams {
    http: AxiosInstance;
    getGlobalOptions: GetGlobalOptions;
}
export default function createContentfulApi<OptionType extends ChainOptions>({ http, getGlobalOptions }: CreateContentfulApiParams, options?: OptionType): ContentfulClientApi<undefined>;
